Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# DynamicAny::NameDynAnyPair_var Class Reference

`#include <DynamicAnyC.h>`

Collaboration diagram for DynamicAny::NameDynAnyPair_var:

[legend]
List of all members.

## Public Methods
| NameDynAnyPair_var (void)
| NameDynAnyPair_var (NameDynAnyPair *)
| NameDynAnyPair_var (const NameDynAnyPair_var &)
| ~NameDynAnyPair_var (void)
NameDynAnyPair_var & | operator= (NameDynAnyPair *)
NameDynAnyPair_var & | operator= (const NameDynAnyPair_var &)
NameDynAnyPair * | operator-> (void)
const NameDynAnyPair * | operator-> (void) const
| operator const NameDynAnyPair & () const
| operator NameDynAnyPair & ()
| operator NameDynAnyPair & () const
| operator NameDynAnyPair *& ()
const NameDynAnyPair & | in (void) const
NameDynAnyPair & | inout (void)
NameDynAnyPair *& | out (void)
NameDynAnyPair * | _retn (void)
NameDynAnyPair * | ptr (void) const
## Private Attributes
NameDynAnyPair * | ptr_

## Constructor & Destructor Documentation

DynamicAny::NameDynAnyPair_var::NameDynAnyPair_var | ( | void |  | ) |

DynamicAny::NameDynAnyPair_var::NameDynAnyPair_var | ( | NameDynAnyPair * |  | ) |

DynamicAny::NameDynAnyPair_var::NameDynAnyPair_var | ( | const NameDynAnyPair_var & |  | ) |

DynamicAny::NameDynAnyPair_var::~NameDynAnyPair_var | ( | void |  | ) |

## Member Function Documentation

NameDynAnyPair* DynamicAny::NameDynAnyPair_var::_retn | ( | void |  | ) |

const NameDynAnyPair& DynamicAny::NameDynAnyPair_var::in | ( | void |  | ) | const

NameDynAnyPair& DynamicAny::NameDynAnyPair_var::inout | ( | void |  | ) |

DynamicAny::NameDynAnyPair_var::operator const NameDynAnyPair & | ( |  | ) | const

DynamicAny::NameDynAnyPair_var::operator NameDynAnyPair & | ( |  | ) | const

DynamicAny::NameDynAnyPair_var::operator NameDynAnyPair & | ( |  | ) |

DynamicAny::NameDynAnyPair_var::operator NameDynAnyPair *& | ( |  | ) |

const NameDynAnyPair* DynamicAny::NameDynAnyPair_var::operator-> | ( | void |  | ) | const

NameDynAnyPair* DynamicAny::NameDynAnyPair_var::operator-> | ( | void |  | ) |

NameDynAnyPair_var& DynamicAny::NameDynAnyPair_var::operator= | ( | const NameDynAnyPair_var & |  | ) |

NameDynAnyPair_var& DynamicAny::NameDynAnyPair_var::operator= | ( | NameDynAnyPair * |  | ) |

NameDynAnyPair*& DynamicAny::NameDynAnyPair_var::out | ( | void |  | ) |

NameDynAnyPair* DynamicAny::NameDynAnyPair_var::ptr | ( | void |  | ) | const

## Member Data Documentation

NameDynAnyPair* DynamicAny::NameDynAnyPair_var::ptr_`[private]`

The documentation for this class was generated from the following file:

- DynamicAnyC.h